#!/bin/bash

dir=$HOME/.www/cool/noon/

ulimit -S -m 6000000
ulimit -H -m 6000000

while sleep 0.2 ; do
    for T in 5 ; do
        for d in {3..14} ; do
            echo
            echo "=== d=$d T=$T ==="
             ~/git/cool-solver/randcool/dist/build/randcool/randcool \
                -K \
                --no-toplevel-disj-form \
                --no-toplevel-conj-tbox \
                --modal-depth-tbox 2 -T $T -n 2  \
                --max-conjuncts 6 \
                --max-disjuncts 6 \
                -d $d \
                > input

           ./coalgcompare --timeout 300 genericK < input \
                | tee -a $dir/K-d${d}-T${T}.${HOSTNAME} \
            || break
        done
    done
done

